package in.cdac.medinfo.csnotk.csnolib.disb.model;

import java.io.Serializable;


public class GenericDescription implements Serializable {


	public GenericDescription(String genericName, String langDialect, String acceptability, String id) {
	
		this.genericName = genericName;
		this.langDialect = langDialect;
		this.acceptability = acceptability;
		this.id = id;
	}
	
	public GenericDescription() {
	
	}

	private static final long serialVersionUID = 1L;
	
	private String id;

	private String genericName;	
	
	private String langDialect;
	
	private String acceptability;

	private GenericDrug genericDrug;
	
	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getGenericName() {
		return genericName;
	}

	public void setGenericName(String genericName) {
		this.genericName = genericName;
	}

	public GenericDrug getGenericDrug() {
		return genericDrug;
	}

	public void setGenericDrug(GenericDrug genericDrug) {
		this.genericDrug = genericDrug;
	}
	

	public String getLangDialect() {
		return langDialect;
	}

	public void setLangDialect(String langDialect) {
		this.langDialect = langDialect;
	}

	public String getAcceptability() {
		return acceptability;
	}

	public void setAcceptability(String acceptability) {
		this.acceptability = acceptability;
	}
	
}
